Subject: Re: [Ledger] Researching to leverage Hashed-Timelock Agreements (HTLAs) paradigm for establishing atomicity between different DLT networks for asset swaps with full decentralization

From: Evan Schwartz <[email-masked]>
Date: Sat, 13 Oct 2018 09:22:41 -0700

The same construction can be used no matter what the underlying assets are.
They can be cryptocurrencies, fiat currencies, shares of stock or other
divisible assets.

If you want to use this method for a swap you can send a "payment" from one
of your accounts to another.

On Sat, Oct 13, 2018, 8:27 AM Nathan Aw <[email-masked]> wrote:

> Hi all,
>
> Second try. Thank you.
>
> I am a blockchain engineer based out of Singapore working at a leading
> bank in ASEAN.
>
> I am looking to leverage the Hashed-Timelock Agreements (HTLAs) paradigm
> for establishing atomicity between different DLT networks for asset swaps
> to achieve cross border payments with partial to full decentralization in
> mind.
>
> With the goal in mind, I like to understand technically how can this
> paradigm be applied to achieve payment vs payment (pvp) with semi-trusted
> nodes such as clearinghouses, banks and individual players? Applying the
> same concept of a crypto swap between ETH and BTC, the same can be applied
> between SGD and HKD?
>
> Also, I hope to understand the models around how liquidity can be
> maintained between these nodes?
>
> Regards,
>
> Nathan Aw
> https://sg.linkedin.com/in/awnathan
>
> https://erc725alliance.org/
>
>
>
> On Sat, Oct 13, 2018 at 12:39 AM Nathan Aw <[email-masked]> wrote:
>
>> Hi all,
>>
>> I am a blockchain engineer based out of Singapore working at a leading
>> bank in ASEAN.
>>
>> I am looking to leverage the Hashed-Timelock Agreements (HTLAs) paradigm
>> for establishing atomicity between different DLT networks for asset swaps
>> to achieve cross border payments with partial to full decentralization in
>> mind.
>>
>> With the goal in mind, I like to understand technically how can this
>> paradigm be applied to achieve payment vs payment (pvp) with semi-trusted
>> nodes such as clearinghouses, banks and individual players? Applying the
>> same concept of a crypto swap between ETH and BTC, the same can be applied
>> between SGD and HKD?
>>
>> Also, I hope to understand the models around how liquidity can be
>> maintained between these nodes?
>>
>> Thank you!
>>
>> Regards,
>>
>> Nathan Aw
>> https://sg.linkedin.com/in/awnathan
>> https://erc725alliance.org/
>>
>>
>>

---

From: Jake Carter <[email-masked]>
Date: Mon, 15 Oct 2018 14:40:27 -0400

Nathan,

Fixed income products are cleared with DvP -  Delivery vs Payment
Many Tri-Party repos are also cleared the same way.
https://en.wikipedia.org/wiki/Delivery_versus_payment

https://www.fanniemae.com/content/fact_sheet/dvp-dvf-comparison.pdf

A good example (potential)  of what you are describing is the current FX
Inter-bank Market and how CLS Bank is used for clearing, although much
different technology.
https://www.bis.org/publ/qtrpdf/r_qt0809y.htm

Hope this might provide some existing use cases and business flows.

Hope this might help,
Jake

On Mon, Oct 15, 2018 at 8:59 AM Nathan Aw <[email-masked]> wrote:

> Hi Evan,
>
> Thanks! Would there be gridlock if more than one parties swap an asset
> with each other?
>
> Thinking and designing from a multilateral netting perspective and how
> best to resolve gridlocks and optimizing liquidity among multiparties.
>
> Also, liquidity saving mechanisms can already be achieved today with DLT
> solutions. Looking ahead, there are many consortiums are out there and
> therefore htlc across multiple dlt networks is something that I am
> thinking, researching and engineering with.
>
> Thank you.
>
> Nathan Aw
>
>
> On Sun, 14 Oct 2018, 00:22 Evan Schwartz, <[email-masked]> wrote:
>
>> The same construction can be used no matter what the underlying assets
>> are. They can be cryptocurrencies, fiat currencies, shares of stock or
>> other divisible assets.
>>
>> If you want to use this method for a swap you can send a "payment" from
>> one of your accounts to another.
>>
>>>> I am looking to leverage the Hashed-Timelock Agreements (HTLAs)
>>>> paradigm for establishing atomicity between different DLT networks for
>>>> asset swaps to achieve cross border payments with partial to full
>>>> decentralization in mind.
>>>>
>>>> --

*_______________________________________*

*Jake Carter*

*Tel **1-801-864-1651*

[email-masked] <[email-masked]>*

*Amdens*

/ <http://amdenfinancialtechnology.com/>